---
version: '3'

networks:
  proxy:
      external: true
{% if  website_with_auth %}
  website:
  oauth2-proxy-cache:
    internal: true
{% endif %}

  default:
  proxy:
    external: true

services:

  website:
    image: "{{ website_oci_image }}"
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
{% if not website_with_auth %}
      - proxy
{% else %}
      - website
{% endif %}
{% if website_git_repo is defined %}
    volumes:
        - ./repo:/usr/share/nginx/html
{% endif %}
{% if website_with_watchtower %}
    labels:
      - "com.centurylinklabs.watchtower.enable=true"  
{% endif %}
{% if website_has_env %}
    env_file: {{ website_env_file_name }}
{% endif %}

{% if website_with_auth %}
# Auth
  website-oauth2-proxy:
    image: {{ website_auth_oauth2_proxy_oci_image | to_json }}
    logging:
      options:
        max-size: 5m
    env_file: oauth2-proxy.env
    networks:
      - website
      - proxy
      - oauth2-proxy-cache
    depends_on:
    - website
    - oauth2-proxy-cache
  oauth2-proxy-cache:
    image: redis:6.2-alpine
    restart: always
    logging:
      options:
        max-size: 5m
    env_file: oauth2-proxy-cache.env
    volumes: 
      - oauth2-proxy-redis:/data
    networks:
      - oauth2-proxy-cache
      - proxy

volumes:
  oauth2-proxy-redis:
{% endif %}
